# generated by cabal-rpm-1.0.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name haskell-gi-overloading
%global pkgver %{pkg_name}-%{version}

# metapackage
%undefine with_haddock
%undefine with_ghc_prof

Name:           ghc-%{pkg_name}
Version:        1.0
Release:        7%{?dist}
Epoch:          1
Summary:        Overloading support for haskell-gi

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# End cabal-rpm deps

%description
Control overloading support in haskell-gi generated bindings.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif

%description devel
This package provides the Haskell %{pkg_name} library
development files.

This package disables overloading in haskell-gi generated bindings.
Overloading does not work in ghc-8.2.x, due to a bug in GHC. See
https://ghc.haskell.org/trac/ghc/ticket/14396


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation

%description doc
This package provides the Haskell %{pkg_name} library
documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{epoch}:%{version}-%{release}

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
mv %{buildroot}%{_ghcdocdir}{,-devel}
# End cabal-rpm install


%files devel -f %{name}-devel.files
%license LICENSE
%doc ChangeLog.md README.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%endif


# dummy package: no files
%if %{with ghc_prof}
%files prof
%endif


%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 10 2019 Jens Petersen <petersen@redhat.com> - 1:1.0-6
- drop prof subpackage since metapkg

* Wed Aug  7 2019 Jens Petersen <petersen@redhat.com> - 1:1.0-5
- devel requires prof with epoch

* Wed Aug  7 2019 Jens Petersen <petersen@redhat.com> - 1:1.0-4
- dummy prof package

* Fri Aug 02 2019 Jens Petersen <petersen@redhat.com> - 1:1.0-3
- cabal-rpm-1.0.0

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 1:1.0-1
- update to 1.0

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 1:0.0-5
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb  5 2018 David Shea <dshea@redhat.com> - 1:0.0-1
- Switch to version 0.0 in order to disable overloading

* Fri Jan 26 2018 Jens Petersen <petersen@redhat.com> - 1.0-3
- rebuild

* Mon Nov 20 2017 David Shea <dshea@redhat.com> - 1.0-2
- Make the package archful to ensure the ghc-pkg database is updated

* Tue Sep 12 2017 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.0-1
- spec file generated by cabal-rpm-0.11.2
